org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryExecuteBatchResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryExecuteBatchResult

    public class OdbcQueryExecuteBatchResult
    extends Object

ODBC query execute with batch of parameters result.

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryExecuteBatchResult(long rowsAffected)`
`OdbcQueryExecuteBatchResult(long rowsAffected, long errorSetIdx, String errorMessage)`

### Method Summary

Methods
`String` `errorMessage()`
`long` `errorSetIdx()`
`long` `rowsAffected()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcQueryExecuteBatchResult

    public OdbcQueryExecuteBatchResult(long rowsAffected)

Parameters:
  `rowsAffected` - Number of rows affected by the query.

#### OdbcQueryExecuteBatchResult

    public OdbcQueryExecuteBatchResult(long rowsAffected,
                               long errorSetIdx,
                               String errorMessage)

Parameters:
  `rowsAffected` - Number of rows affected by the query.
  `errorSetIdx` - Sets processed.
  `errorMessage` - Error message.

### Method Detail

#### rowsAffected

    public long rowsAffected()

Returns:
  Number of rows affected by the query.

#### errorSetIdx

    public long errorSetIdx()

Returns:
  Index of the set which caused an error or -1 if no error occurred.

#### errorMessage

    @Nullable
    public String errorMessage()

Returns:
  Error message.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017